Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_get_del

## Name

librdf_hash_get_del -- Retrieve one value from hash for a given key as string and remove all values with that key

## Synopsis

``char* `librdf_hash_get_del`` (librdf_hash* `hash`, char * `key`);`

## Arguments

`hash`

  hash object

`key`

  pointer to key

## Description

The value returned is from newly allocated memory which the caller must free.

## Return value

the value or NULL on failure

<<< Previous | Home | Next >>>
librdf_hash_get_all | Up | librdf_hash_put